- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# FMath/FMVector3.h File Reference

The file containing the class and global functions for 3 dimensional vectors. More...

Go to the source code of this file.

## Classes
class | FMVector3
| A 3 dimensional vector. More...
## Typedefs
typedef fm::vector< FMVector3 > | FMVector3List
| A dynamically-sized array of 3D vectors or points.
## Functions
FMVector3 | operator+ (const FMVector3 &a, const FMVector3 &b)
| Vector addition with two FMVector3.
FMVector3 | operator- (const FMVector3 &a, const FMVector3 &b)
| Vector subtraction with two FMVector3.
FMVector3 | operator+ (const FMVector3 &a)
| Positive operator of the given FMVector3.
FMVector3 | operator- (const FMVector3 &a)
| Negates the given FMVector3.
float | operator * (const FMVector3 &a, const FMVector3 &b)
| Dot product of two FMVector3.
FMVector3 | operator * (const FMVector3 &a, float b)
| Scalar multiplication with a FMVector3.
FMVector3 | operator * (float a, const FMVector3 &b)
| Scalar multiplication with a FMVector3.
FMVector3 | operator/ (const FMVector3 &a, float b)
| Scalar division with a FMVector3.
FMVector3 | operator^ (const FMVector3 &a, const FMVector3 &b)
| Cross product of two FMVector3.
FMVector3 & | operator+= (FMVector3 &b, const FMVector3 &a)
| Assignment of the addition of two FMVector3.
FMVector3 & | operator-= (FMVector3 &b, const FMVector3 &a)
| Assignment of the subtraction of two FMVector3.
FMVector3 & | operator *= (FMVector3 &b, float a)
| Assignment of the scalar multiplication of a FMVector3.
FMVector3 & | operator/= (FMVector3 &b, float a)
| Assignment of the scalar division of a FMVector3.
bool | IsEquivalent (const FMVector3 &p, const FMVector3 &q)
| Returns whether two 3D vectors or points are equivalent.
bool | operator== (const FMVector3 &p, const FMVector3 &q)
| See above.

## Detailed Description

The file containing the class and global functions for 3 dimensional vectors.

## Function Documentation

bool IsEquivalent | ( | const FMVector3 & | p,
|  | const FMVector3 & | q
| ) | `[inline]`

  | Returns whether two 3D vectors or points are equivalent. Parameters:
  | p | A first vector.
  | q | A second vector.
Returns: Whether the vectors are equivalent.

FMVector3 operator * | ( | float | a,
|  | const FMVector3 & | b
| ) | `[inline]`

  | Scalar multiplication with a FMVector3. Parameters:
  | a | The scalar.
  | b | The vector.
Returns: The FMVector3 representing the resulting vector.

FMVector3 operator * | ( | const FMVector3 & | a,
|  | float | b
| ) | `[inline]`

  | Scalar multiplication with a FMVector3. Parameters:
  | a | The vector.
  | b | The scalar.
Returns: The FMVector3 representing the resulting vector.

float operator * | ( | const FMVector3 & | a,
|  | const FMVector3 & | b
| ) | `[inline]`

  | Dot product of two FMVector3. Parameters:
  | a | The first vector.
  | b | The second vector.
Returns: The result of the dot product.

FMVector3& operator *= | ( | FMVector3 & | b,
|  | float | a
| ) | `[inline]`

  | Assignment of the scalar multiplication of a FMVector3. Parameters:
  | b | The vector, which will also be assigned to the result.
  | a | The scalar.
Returns: The vector, after it has been assigned new values.

FMVector3 operator+ | ( | const FMVector3 & | a | ) | `[inline]`

  | Positive operator of the given FMVector3. It applies the positive operator to each of the components of the FMVector3. Parameters:
  | a | The vector to apply the positive operator to.
Returns: The FMVector3 representation of the resulting vector.

FMVector3 operator+ | ( | const FMVector3 & | a,
|  | const FMVector3 & | b
| ) | `[inline]`

  | Vector addition with two FMVector3. Parameters:
  | a | The first vector.
  | b | The second vector.
Returns: The FMVector3 representation of the resulting vector.

FMVector3& operator+= | ( | FMVector3 & | b,
|  | const FMVector3 & | a
| ) | `[inline]`

  | Assignment of the addition of two FMVector3. Parameters:
  | b | The first vector, which will also be assigned to the result.
  | a | The second vector.
Returns: The first vector, after it has been assigned new values.

FMVector3 operator- | ( | const FMVector3 & | a | ) | `[inline]`

  | Negates the given FMVector3. It negates each of the components of the FMVector3. Parameters:
  | a | The vector to negate.
Returns: The FMVector3 representation of the resulting vector.

FMVector3 operator- | ( | const FMVector3 & | a,
|  | const FMVector3 & | b
| ) | `[inline]`

  | Vector subtraction with two FMVector3. Parameters:
  | a | The first vector.
  | b | The second vector.
Returns: The FMVector3 representation of the resulting vector.

FMVector3& operator-= | ( | FMVector3 & | b,
|  | const FMVector3 & | a
| ) | `[inline]`

  | Assignment of the subtraction of two FMVector3. Parameters:
  | b | The first vector, which will also be assigned to the result.
  | a | The second vector.
Returns: The first vector, after it has been assigned new values.

FMVector3 operator/ | ( | const FMVector3 & | a,
|  | float | b
| ) | `[inline]`

  | Scalar division with a FMVector3. Parameters:
  | a | The vector.
  | b | The scalar.
Returns: The FMVector3 representing the resulting vector.

FMVector3& operator/= | ( | FMVector3 & | b,
|  | float | a
| ) | `[inline]`

  | Assignment of the scalar division of a FMVector3. Parameters:
  | b | The vector, which will also be assigned to the result.
  | a | The scalar.
Returns: The vector, after it has been assigned new values.

FMVector3 operator^ | ( | const FMVector3 & | a,
|  | const FMVector3 & | b
| ) | `[inline]`

  | Cross product of two FMVector3. Parameters:
  | a | The first vector.
  | b | The second vector.
Returns: The result of the dot product.